C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION ENDCOM(OLP,IE)
	IMPLICIT LOGICAL*1 (A)
	IMPLICIT REAL*4    (C)
	IMPLICIT INTEGER*2 (D-Z)
	COMMON/IN/NA,A(76)
	COMMON/LINEAR/ALIN,AINTER
	DATA ATR,AFL/.TRUE.,.FALSE./
	GOTO (1010,1020,1035,1040,1045,1050,1055,1070,1110,22,
	<10,20,1000,1015),IE
10	ENDCOM=-1
	RETURN
20	ENDCOM=0
	RETURN
22	ENDCOM=1
	RETURN
C*****FFPLOT(INTERP,OVERLAY,FIT,CURVE)
1000	CALL FFPLOT(AINTER,AFL,AFL,1)
	GOTO 20
1010	CALL FFPLOT(AINTER,ATR,AFL,2)
	GOTO 20
1015	CALL FFPLOT(ATR,ATR,ATR,1)
	GOTO 20
1020	CALL FFPLOT(ATR,ATR,AFL,1)
	GOTO 20
1035	WRITE(7,1036)
1036	FORMAT(1X,'?MACRO')
	GOTO 1110
1040	WRITE(7,1041)
1041	FORMAT(1X,'?PARAM')
	GOTO 1110
1045	WRITE(7,1046)ISV
1046	FORMAT(1X,'?CURVE ',I6)
	GOTO 1110
1050	WRITE(7,1051)
1051	FORMAT(1X,'?SAVEAREA')
	GOTO 1110
1055	WRITE(7,1056)
1056	FORMAT(1X,'ERROR-REPORT')
	GOTO 1110
1070	WRITE(7,1071)
1071	FORMAT(1X,'MACRO IN A MACRO')
	GOTO 1110
1110	WRITE(7,1111)(A(I),I=OLP,NA)
1111	FORMAT(1X,'?',76A1)
	GOTO 10
	END
